Integration GuidesReference Docs
Coverage MatrixDocumentationChange LogLog InContact Us
Reference Docs

NBA G League Change Log

Find all updates to the NBA G League v8 API and its documentation

Integration Guide

🗓️ Release Date 08/20/2026

A new Integration Guide is now available for the NBA G League API.

Benefit

The guide pairs step-by-step integration scenarios (schedules, live game updates, standings and rankings, rosters and player statuses, playoffs and tournaments, and change monitoring) with foundational pages covering the season model and league structure, a Game Status Workflow reference, per-feed update frequencies, and workflow diagrams.

🏀 Recommended Actions

  • Start with the Overview for the guide map and a recommended reading order for new and experienced integrators
  • Read G League Fundamentals for the season model (Showcase Cup, Regular Season, Post-season), the league structure, and what changes if you are coming from the NBA API
  • Use the Game Status Workflow page when building polling loops or notification logic; treat closed, cancelled, and unnecessary as the only end states
  • Size polling against the Update Frequencies chart and drive live polling from the game status rather than fixed timers
  • Follow the Integration Scenarios that match your use case for end-to-end workflows with request and response examples

📄Documentation:



Showcase Cup Championship Season Type

Release DateFeeds AffectedBenefit
12/12/2025

Schedule

Seasons

We've added the season type SCC to cover the Showcase Cup Championship game.
Return Samples
        {
            "id": "885e15b0-b071-49de-8d70-4b8f45a6b331",
            "year": 2025,
            "start_date": "2025-12-22",
            "end_date": "2025-12-23",
            "status": "scheduled",
            "type": {
                "code": "SCC",
                "name": "Showcase Cup Championship"
            }
        },


Updated Action Area Coordinates

Release DateFeeds AffectedBenefit
12/1/2025All endpoints supporting play-by-play data.We've updated action area coordinates to provide a more accurate representation of what happens on the court.
Return Samples
        {
          "id": "2eeccfe5-28c3-4ada-b724-8d854991e7aa",
          "clock": "10:00",
          "updated": "2025-04-06T21:53:10Z",
          "description": "Sarah Strong vs. Chloe Kitts (Jana El Alfy gains possession)",
          "sequence": 1743966924422,
          "home_points": 0,
          "away_points": 0,
          "clock_decimal": "10:00",
          "created": "2025-04-06T19:15:24Z",
          "event_type": "opentip",
          "attribution": {
            "name": "Huskies",
            "market": "UConn",
            "id": "6e0c5edc-4a6d-416b-9e10-7cccf13e971f",
            "team_basket": "right"
          },
          "location": {
            "coord_x": 560,
            "coord_y": 294,
            "action_area": "backcourt"


Timestamp Format Update

Release DateFeeds AffectedBenefit
11/12/2025

Daily Schedule

Schedule

Player Profile

Free Agents

Team Profile

Daily Change Log

Daily Transfers

We've updated the format of certain timestamp data points in our US Basketball APIs. Going forward, timestamps will use the 2025-10-28T22:56:48+00:00 format instead of 2025-10-28T22:56:48Z.

Both formats follow the ISO 8601 standard and represent the same UTC time. However, older games or data may still include the previous format.

This update applies to the following fields:
  • game.scheduled — in Daily Schedule and Schedule endpoints
  • player.updated — in Player Profile, Free Agents, and Team Profile endpoints
  • last_modified — in Daily Change Log and Daily Transfers endpoints
Return Samples
{
    "league": {
        "id": "4353138d-4c22-4396-95d8-5f587d2df25c",
        "name": "NBA",
        "alias": "NBA"
    },
    "start_time": "2025-11-10T05:00:00Z",
    "end_time": "2025-11-11T04:59:59Z",
    "players": [
        {
            "id": "3a3207cc-269f-47ef-9b77-f852f0bed4b0",
            "full_name": "Quinten Post",
            "last_modified": "2025-11-10T13:00:52+00:00",
            "sr_id": "sr:player:1889798",
            "reference": "1642366"
        },
        {
            "id": "48b05ddf-0a9f-4426-9394-231c54726eaa",
            "full_name": "Monté Morris",
            "last_modified": "2025-11-10T21:51:28+00:00",
            "sr_id": "sr:player:1142586",
            "reference": "1628420"
        },
        {
            "id": "b173be95-9411-4fa9-afa3-ff231db0ed4d",
            "full_name": "Colby Jones",
            "last_modified": "2025-11-10T18:47:33+00:00",
            "sr_id": "sr:player:2075233",
            "reference": "1641732"
        },
        {
            "id": "e23521cd-8e92-4701-b9e7-dc4acd21dfec",
            "full_name": "Wendell Moore Jr.",
            "last_modified": "2025-11-10T18:50:28+00:00",
            "sr_id": "sr:player:2826111",
            "reference": "1631111"
        }
    ],
            <game id="820c5325-360f-4b9e-a67c-77fe71338871" status="closed" coverage="full" scheduled="2025-10-21T23:30:00+00:00" home_points="125" away_points="124" track_on_court="true" sr_id="sr:match:62757053" reference="0022500001" home_team="583ecfff-fb46-11e1-82cb-f4ce4684ea4c" away_team="583ecb3a-fb46-11e1-82cb-f4ce4684ea4c">
                <time_zones venue="US/Central" home="US/Central" away="US/Central"/>
                <venue id="a13af216-4409-5021-8dd5-255cc71bffc3" name="Paycom Center" capacity="18203" address="100 W. Reno Avenue" city="Oklahoma City" state="OK" zip="73102" country="USA" sr_id="sr:venue:6934">
                    <location lat="35.463333" lng="-97.515"/>
                </venue>
                <home name="Oklahoma City Thunder" alias="OKC" id="583ecfff-fb46-11e1-82cb-f4ce4684ea4c" sr_id="sr:team:3418" reference="1610612760">
        </home>
                <away name="Houston Rockets" alias="HOU" id="583ecb3a-fb46-11e1-82cb-f4ce4684ea4c" sr_id="sr:team:3412" reference="1610612745">
        </away>
                <broadcasts>
                    <broadcast network="NBC/Peacock" type="TV" locale="National"/>
                </broadcasts>
            </game>
{
    "id": "ab532a66-9314-4d57-ade7-bb54a70c65ad",
    "status": "ACT",
    "full_name": "Karl-Anthony Towns",
    "first_name": "Karl-Anthony",
    "last_name": "Towns",
    "abbr_name": "K.Towns",
    "height": 84,
    "weight": 248,
    "position": "C-F",
    "primary_position": "C",
    "jersey_number": "32",
    "experience": "10",
    "college": "Kentucky",
    "high_school": "St. Joseph (NJ)",
    "birth_place": "Edison, NJ, USA",
    "birthdate": "1995-11-15",
    "updated": "2025-07-16T19:57:53+00:00",
    "sr_id": "sr:player:852120",
    "rookie_year": 2015,
    "salary": 55110496,
    "reference": "1626157",
    "league": {
        "id": "4353138d-4c22-4396-95d8-5f587d2df25c",
        "name": "NBA",
        "alias": "NBA"
    },


'Start of Period' Event Type

Release DateFeeds AffectedBenefit
10/15/2025

Game Play-by-Play

Push Events

We've added a new event_type of startperiod to our professional basketball APIs.

Leverage the startperiod entry at the beginning of each quarter/period to signify a game is in progress.

Return Samples
{
  "id": "bdcf2e86-7d33-4a31-83e9-81c99edeae60",
  "event_type": "startperiod",
  "sequence": 1737317658500,
  "number": 2,
  "clock_fraction": 0,
  "description": "Start of 1st Quarter",
  "clock": "12:00",
  "clock_decimal": "12:00",
  "created": "2025-01-19T20:14:18Z",
  "updated": "2025-01-19T23:29:37Z",
  "wall_clock": "2025-01-19T20:14:18Z",
  "on_court":
  {
                    "home":
                    {
                        "name": "Heat",
                        "market": "Miami",
                        "reference": "1610612748",
                        "id": "583ecea6-fb46-11e1-82cb-f4ce4684ea4c",
                        "players":
                        [
                            {
                                "full_name": "Haywood Highsmith",
                                "jersey_number": "24",
                                "reference": "1629312",
                                "id": "a17d9b20-4e2b-4612-aecd-27938c997e94"
                              },
                            {
                                "full_name": "Jimmy Butler",
                                "jersey_number": "22",
                                "reference": "202710",
                                "id": "0e163d44-67a7-4107-9421-5333600166bb"
                              },
                            {
                                "full_name": "Duncan Robinson",
                                "jersey_number": "55",
                                "reference": "1629130",
                                "id": "18d35316-9f40-408c-abcc-ab49e06ef8e8"
                              },
                            {
                                "full_name": "Bam Adebayo",
                                "jersey_number": "13",
                                "reference": "1628389",
                                "id": "11c303dc-540c-4090-8e0c-76c2fb2c125a"
                              },
                            {
                                "full_name": "Tyler Herro",
                                "jersey_number": "14",
                                "reference": "1629639",
                                "id": "8bd80771-843f-4d7f-a4e7-b4d4f6c4e7c6"
                              }
                          ]
                      },
                    "away":
                    {
                        "name": "Spurs",
                        "market": "San Antonio",
                        "reference": "1610612759",
                        "id": "583ecd4f-fb46-11e1-82cb-f4ce4684ea4c",
                        "players":
                        [
                            {
                                "full_name": "Victor Wembanyama",
                                "jersey_number": "1",
                                "reference": "1641705",
                                "id": "98e2cdeb-69dc-499c-a853-84c32c714924"
                              },
                            {
                                "full_name": "Chris Paul",
                                "jersey_number": "3",
                                "reference": "101108",
                                "id": "942c53e3-7268-44e3-b0a9-fdff55a72c03"
                              },
                            {
                                "full_name": "Harrison Barnes",
                                "jersey_number": "40",
                                "reference": "203084",
                                "id": "ce8d0944-b277-499e-9701-02a5f1828615"
                              },
                            {
                                "full_name": "Devin Vassell",
                                "jersey_number": "24",
                                "reference": "1630170",
                                "id": "fe215630-2dc5-4573-95cc-c1b14abbbbcd"
                              },
                            {
                                "full_name": "Stephon Castle",
                                "jersey_number": "5",
                                "reference": "1642264",
                                "id": "ddee4a31-2791-4339-bfc3-a058ce2d1397"
                              }
                          ]
                      }
                  }
},


Player ID Linking

Release DateFeeds AffectedBenefit
08/28/2025

Player Profile

Team Profile

You can now reference a player’s NCAA or NBA profile within the NBA G League API!

When available, each player’s profile includes the corresponding ID from the NCAA Men's Basketball API and/or the NBA API under player.reference(s), making it easier to connect college and pro profiles for analysis, draft prep, and career stats.

Also included is a basketball "parent Id", which provides a consistent Id for a player across the NBA, NCAAMB, and G League APIs.

Return Samples
<player xmlns="http://feed.elasticstats.com/schema/basketball/profile-v8.0.xsd" id="93dbe055-6a24-46c9-b885-94a2f7d229c4" status="ACT" full_name="JD Davison" first_name="JD" last_name="Davison" abbr_name="J.Davison" height="73" weight="195" position="G" primary_position="NA" college="Alabama" high_school="Calhoun (AL)" birth_place="Latohatchee, AL, USA" birthdate="2002-10-03" updated="2025-07-27T05:12:43Z" reference="1631120">
    <league id="ac79301f-9b1a-4e72-a4cb-230d4418ae08" name="NBA G League" alias="NBDL"/>
    <team id="9b8f2022-d45f-43f8-bf02-4914b04f5aa3" name="Vipers" market="Rio Grande Valley" alias="RGV" reference="1612709908"/>
    <references>
        <reference source_id="1631120" scope="NBDL" id_type="external"/>
        <reference source_id="daab92e8-fe75-40f5-a76a-aa39e239f867" scope="NCAAM" id_type="league_profile"/>
        <reference source_id="6e468041-8174-4161-8c1d-8ac620e0cbb0" scope="NBA" id_type="league_profile"/>
        <reference source_id="6854f651-e835-4e14-a6cf-f97bb482c3f5" scope="basketball" id_type="sport_profile"/>
    </references>
        {
            "id": "3073aacf-1df1-4c77-bad0-ed02009a1a87",
            "status": "ACT",
            "full_name": "David Roddy",
            "first_name": "David",
            "last_name": "Roddy",
            "abbr_name": "D.Roddy",
            "height": 76,
            "weight": 255,
            "position": "F",
            "primary_position": "NA",
            "jersey_number": "45",
            "college": "Colorado State",
            "high_school": "Breck School (MN)",
            "birth_place": "Minneapolis, MN, USA",
            "birthdate": "2001-03-27",
            "updated": "2025-03-05T04:11:04Z",
            "reference": "1631223",
            "references": [
                {
                    "source_id": "1631223",
                    "scope": "NBDL",
                    "id_type": "external"
                },
                {
                    "source_id": "339eff07-4d8e-42c6-9a47-900e94b13654",
                    "scope": "NBA",
                    "id_type": "league_profile"
                },
                {
                    "source_id": "953fee19-7c52-43e0-85b8-accea07b154e",
                    "scope": "basketball",
                    "id_type": "sport_profile"
                },
                {
                    "source_id": "ccc9c027-6daa-4ec8-abbd-19116d05cbb0",
                    "scope": "NCAAM",
                    "id_type": "league_profile"
                }
            ]
        },


Season Info in Daily Schedule

Release DateFeeds AffectedBenefit
07/25/2025Daily Schedule

We've added season information to the Daily Schedule endpoint in all US basketball APIs.

Leverage the new season node to easily identify which season a game belongs to.

Return Samples
{
    "date": "2025-07-25",
    "league": {
        "id": "59c24590-0adb-4b3d-80a8-10450f83f4a1",
        "name": "WNBA",
        "alias": "WNBA"
    },
    "games": [
        {
            "id": "0141c94b-0923-4c3f-8e2f-50513198e128",
            "status": "scheduled",
            "coverage": "full",
            "scheduled": "2025-07-25T23:30:00Z",
            "track_on_court": true,
            "sr_id": "sr:match:56328197",
            "reference": "1022500156",
            "cc_cup": false,
            "time_zones": {
                "venue": "US/Central",
                "home": "US/Central",
                "away": "US/Pacific"
            },
            "season": {
                "id": "896588ff-6de9-49a9-a799-bbd7d3922cdc",
                "year": 2025,
                "type": "REG"
            },
            "venue": {
                "id": "7aed802e-3562-5b73-af1b-3859529f9b95",
                "name": "Target Center",
                "capacity": 19356,
                "address": "600 First Avenue North",
                "city": "Minneapolis",
                "state": "MN",
                "zip": "55403",
                "country": "USA",
                "sr_id": "sr:venue:6930",
                "location": {
                    "lat": "44.979444",
                    "lng": "-93.276111"
                }
            },
            "broadcasts": [
                {
                    "network": "ION",
                    "type": "TV",
                    "locale": "National",
                    "channel": "305"
                }
            ],
            "home": {
                "name": "Minnesota Lynx",
                "alias": "MIN",
                "id": "6f017f37-be96-4bdc-b6d3-0a0429c72e89",
                "sr_id": "sr:team:3440"
            },
            "away": {
                "name": "Las Vegas Aces",
                "alias": "LVA",
                "id": "171b097d-01db-4ae8-9d56-035689402ec6",
                "sr_id": "sr:team:35550"
            }
        },
        {
            "id": "886f70ad-6601-4949-8361-19950f284336",
            "status": "scheduled",
            "coverage": "full",
            "scheduled": "2025-07-25T23:30:00Z",
            "track_on_court": true,
            "sr_id": "sr:match:56328195",
            "reference": "1022500155",
            "cc_cup": false,
            "time_zones": {
                "venue": "US/Eastern",
                "home": "US/Eastern",
                "away": "US/Arizona"
            },
            "season": {
                "id": "896588ff-6de9-49a9-a799-bbd7d3922cdc",
                "year": 2025,
                "type": "REG"
            },
            "venue": {
                "id": "7a330bcd-ac0f-50ca-bc29-2460e5c476b3",
                "name": "Barclays Center",
                "capacity": 17732,
                "address": "620 Atlantic Avenue",
                "city": "Brooklyn",
                "state": "NY",
                "zip": "11217",
                "country": "USA",
                "sr_id": "sr:venue:36132",
                "location": {
                    "lat": "40.682957",
                    "lng": "-73.975165"
                }
            },
            "broadcasts": [
                {
                    "network": "ION",
                    "type": "TV",
                    "locale": "National",
                    "channel": "305"
                }
            ],
            "home": {
                "name": "New York Liberty",
                "alias": "NYL",
                "id": "08ed8274-e29f-4248-bc2e-83cc8ed18d75",
                "sr_id": "sr:team:3446"
            },
            "away": {
                "name": "Phoenix Mercury",
                "alias": "PHX",
                "id": "0699edf3-5993-4182-b9b4-ec935cbd4fcc",
                "sr_id": "sr:team:3444"
            }
        },
        {
            "id": "d417a7b2-8eca-4edd-9e75-7875ed550fdd",
            "status": "scheduled",
            "coverage": "full",
            "scheduled": "2025-07-26T02:00:00Z",
            "track_on_court": true,
            "sr_id": "sr:match:56328199",
            "reference": "1022500157",
            "cc_cup": false,
            "time_zones": {
                "venue": "US/Pacific",
                "home": "US/Pacific",
                "away": "US/Central"
            },
            "season": {
                "id": "896588ff-6de9-49a9-a799-bbd7d3922cdc",
                "year": 2025,
                "type": "REG"
            },
            "venue": {
                "id": "938016dc-9e1d-4abc-88f5-3a7d772332e6",
                "name": "Chase Center",
                "capacity": 18064,
                "address": "1 Warriors Way",
                "city": "San Francisco",
                "state": "CA",
                "zip": "94158",
                "country": "USA",
                "sr_id": "sr:venue:44446",
                "location": {
                    "lat": "37.7679",
                    "lng": "-122.3873"
                }
            },
            "broadcasts": [
                {
                    "network": "ION",
                    "type": "TV",
                    "locale": "National",
                    "channel": "305"
                }
            ],
            "home": {
                "name": "Golden State Valkyries",
                "alias": "GSV",
                "id": "4f57ec40-0d35-4b59-bea0-9d040f0d2292",
                "sr_id": "sr:team:1200059"
            },
            "away": {
                "name": "Dallas Wings",
                "alias": "DAL",
                "id": "5f0b5caf-708b-4300-92f2-53b51d83ec06",
                "sr_id": "sr:team:3450"
            }
        }
    ]
}
<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" charset="UTF-8" href="/xslt/basketball/schedule-v8.0.xsl"?>
<!-- Generation started @ 2025-07-25 14:04:25 UTC -->
<league xmlns="http://feed.elasticstats.com/schema/basketball/schedule-v8.0.xsd" id="cd4268ee-07aa-4c4d-a435-ec44ad2c76cb" name="NCAA MEN" alias="NCAAM">
    <daily-schedule date="2025-02-03">
        <games>
            <game id="9b28cfdb-759f-4cf4-b3c2-d0f83132615c" status="closed" coverage="full" scheduled="2025-02-03T23:00:00Z" home_points="94" away_points="68" conference_game="true" home_team="508f503f-dc57-4f4c-a01e-4f195e5c05c8" away_team="80a19b57-d6ab-4bee-934f-33a72c2e958a">
                <time_zones venue="US/Eastern" home="US/Eastern" away="US/Eastern"/>
                <season id="76df4cc8-67c8-4179-9387-e1dd5e884014" year="2024" type="REG"/>
                <venue id="7f83e6f9-fc09-437b-b4ec-a9b2121ac613" name="Stabler Arena" capacity="6000" address="124 Goodman Drive" city="Bethlehem" state="PA" zip="18015" country="USA">
                    <location lat="40.584444" lng="-75.356944"/>
                </venue>
                <home name="Lehigh Mountain Hawks" alias="LEH" id="508f503f-dc57-4f4c-a01e-4f195e5c05c8">
        </home>
                <away name="Colgate Raiders" alias="COLG" id="80a19b57-d6ab-4bee-934f-33a72c2e958a">
        </away>
                <broadcasts>
                    <broadcast network="CBS Sports Network" type="TV" locale="National" channel="221"/>
                </broadcasts>
            </game>
            <game id="1c5dc135-d1b2-4d63-aa5b-8334a6f44c16" status="closed" coverage="extended_boxscore" scheduled="2025-02-04T00:00:00Z" home_points="67" away_points="65" conference_game="true" home_team="d2ef641c-70e4-48bb-b40d-ac654d179205" away_team="912671c7-19fd-451b-813e-885485427820">
                <time_zones venue="US/Central" home="US/Central" away="US/Central"/>
                <season id="76df4cc8-67c8-4179-9387-e1dd5e884014" year="2024" type="REG"/>
                <venue id="9227adcc-38f3-4271-bd9a-c48b745be82e" name="The Legacy Center" capacity="4200" address="E McNeese Street" city="Lake Charles" state="LA" zip="70607" country="USA">
                    <location lat="30.1755" lng="-93.2095"/>
                </venue>
                <home name="McNeese Cowboys" alias="MCNS" id="d2ef641c-70e4-48bb-b40d-ac654d179205">
        </home>
                <away name="Incarnate Word Cardinals" alias="IW" id="912671c7-19fd-451b-813e-885485427820">
        </away>
                <broadcasts>
                    <broadcast network="ESPN+" type="Internet"/>
                </broadcasts>
            </game>


New Clinched Status

Release DateFeeds AffectedBenefit
06/03/2025Rankings

We've added a division_playoff_berth clinched status in our Rankings endpoint for all versions of our NBA, WNBA, and G League APIs.

This status signifies a team has clinched their division and a playoff berth. In the rarer case that a team clinches a division and not a playoff berth, clinched="division" will be used.

Return Samples
"conferences": [
  {
    "id": "3960cfac-7361-4b30-bc25-8d393de6f62f",
    "name": "EASTERN CONFERENCE",
    "alias": "EASTERN",
    "divisions": [
      {
        "id": "582d6502-9a93-4a8d-8785-69374d732875",
        "name": "Atlantic",
        "alias": "ATLANTIC",
        "teams": [
          {
            "id": "583eccfa-fb46-11e1-82cb-f4ce4684ea4c",
            "name": "Celtics",
            "market": "Boston",
            "sr_id": "sr:team:3422",
            "reference": "1610612738",
            "rank": {
              "conference": 2,
              "division": 1,
              "clinched": "division_playoff_berth"
            }
          },
          {
            "id": "583ec70e-fb46-11e1-82cb-f4ce4684ea4c",
            "name": "Knicks",
            "market": "New York",
            "sr_id": "sr:team:3421",
            "reference": "1610612752",
            "rank": {
              "conference": 3,
              "division": 2,
              "clinched": "playoff_berth"
            }
          },
          {
            "id": "583ecda6-fb46-11e1-82cb-f4ce4684ea4c",
            "name": "Raptors",
            "market": "Toronto",
            "sr_id": "sr:team:3433",
            "reference": "1610612761",
            "rank": {
              "conference": 11,
              "division": 3,
              "clinched": "eliminated"
            }
          },
          {
            "id": "583ec9d6-fb46-11e1-82cb-f4ce4684ea4c",
            "name": "Nets",
            "market": "Brooklyn",
            "sr_id": "sr:team:3436",
            "reference": "1610612751",
            "rank": {
              "conference": 12,
              "division": 4,
              "clinched": "eliminated"
            }
          },
          {
            "id": "583ec87d-fb46-11e1-82cb-f4ce4684ea4c",
            "name": "76ers",
            "market": "Philadelphia",
            "sr_id": "sr:team:3420",
            "reference": "1610612755",
            "rank": {
              "conference": 13,
              "division": 5,
              "clinched": "eliminated"
            }
          }
        ]
      },


Heave Shot Event Type

Release DateFeeds AffectedBenefit
11/08/2024

Play-by-Play

Push Events

Added a heaveevent type in response to a new rule.

End-of-quarter "heave" shots no longer count as a player/team field goal attempt unless the shot is made or blocked by the opposing team. These shots are now represented with heave in the data.

Return Samples
<event id="6a4d2e26-f901-4902-b36b-15eb4f9f2feb" clock="00:00" updated="2024-11-15T06:46:17Z" wall_clock="2024-11-14T00:28:13Z" 
       sequence="1731544093600" home_points="32" away_points="18" clock_decimal="00:00.40" 
       number="174" event_type="heave">
  <description>Toronto misses heave shot</description>
  <attribution name="905" market="Raptors" id="2d0a4879-33d3-4af9-a12f-8081362ff548" team_basket="left" reference="1612709920"/>
  <location coord_x="897" coord_y="127" action_area="backcourt"/>
  <on_court>
      <home name="Skyhawks" market="College Park" id="68b3b75b-6d7f-437f-b450-bcd5d0727fa5" reference="1612709929">
          <player full_name="Joey Hauser" jersey_number="14" id="13631e02-35f7-46d8-976b-55c62b282b05" reference="1641792"/>
          <player full_name="David Singleton" jersey_number="34" id="59eb98bc-eabe-458b-a9bb-22b4182e79e4" reference="1641934"/>
          <player full_name="Jarkel Joiner" jersey_number="1" id="3c5969e4-f562-41e3-b494-12e886f9a643" reference="1641935"/>
          <player full_name="Dominick Barlow" jersey_number="0" id="90f9ca95-1087-4d78-8d49-a651df568180" reference="1631230"/>
          <player full_name="Daeqwon Plowden" jersey_number="29" id="c7c77b49-f6a4-4d27-be55-0b2f29793ee6" reference="1631342"/>
      </home>
      <away name="Toronto" market="Raptors" id="2d0a4879-33d3-4af9-a12f-8081362ff548" reference="1612709920">
          <player full_name="Ulrich Chomche" jersey_number="22" id="5432de37-f600-4177-b814-44bd82f99638" reference="1642279"/>
          <player full_name="Tylor Perry" jersey_number="45" reference="1642465"/>
          <player full_name="Kennedy Chandler" jersey_number="0" id="b707d9b2-f893-4ef2-a27b-777b0aa7b57d" reference="1631113"/>
          <player full_name="Myles Burns" jersey_number="21" id="9f0b3c44-7c6c-4167-8b3b-279e06661d8b" reference="1641947"/>
          <player full_name="Branden Carlson" jersey_number="35" id="dae289ed-2be3-40fb-83bd-5071b6f677b1" reference="1642382"/>
      </away>
  </on_court>
</event>


Parent Ids

Release DateFeeds AffectedBenefit
09/23/2024

Daily Schedule

Game Boxscore

Game Summary

Play-by-Play

Schedule

Series Schedule

Added a standard parent Id (parent_id) to games and series.

Use this Id to group events (like the All-Star game or NBA Finals) across seasons.

Return Samples
{
  "id": "54d776dc-0e88-4c77-8fe0-021d4ed7b250",
  "status": "closed",
  "title": "2024 NBA All-Star Game",
  "coverage": "full",
  "scheduled": "2024-02-19T01:00:00Z",
  "home_points": 211,
  "away_points": 186,
  "neutral_site": true,
  "parent_id": "e4986bda-2f75-4228-8295-44b2449088b1",
  "track_on_court": true,
  "reference": "0032300001",
  "time_zones": {
    "venue": "US/Eastern"
  },
  "venue": {
    "id": "24bb478e-eb31-5f8a-8c8d-07f513169ec1",
    "name": "Gainbridge Fieldhouse",
    "capacity": 20000,
    "address": "125 S. Pennsylvania Street",
    "city": "Indianapolis",
    "state": "IN",
    "zip": "46204",
    "country": "USA",
    "sr_id": "sr:venue:6924",
    "location": {
      "lat": "39.763975",
      "lng": "-86.15542"
    }
  },
  "broadcasts": [
    {
      "network": "TNT",
      "type": "TV",
      "locale": "National",
      "channel": "245"
    },
    {
      "network": "TBS",
      "type": "TV",
      "locale": "National",
      "channel": "247"
    }
  ],
  "home": {
    "name": "East NBA All Stars",
    "alias": "EST",
    "id": "592d3144-895b-43e9-ab15-e84666a845d5",
    "reference": "1610616833"
  },
  "away": {
    "name": "West NBA All Stars",
    "alias": "WST",
    "id": "787ff06f-f0cc-484e-8114-04e0cdc444fa",
    "reference": "1610616834"
  }
},
<series id="a6c5f648-2028-457f-84cd-bf301886648c" parent_id="a8187e6d-8b68-40bc-9767-fe78cbda3311" title="NBA Finals - MIA vs DEN" round="4" start_date="2023-06-01" status="closed">
  <participant name="Heat" seed="8" record="1">
    <team id="583ecea6-fb46-11e1-82cb-f4ce4684ea4c" name="Heat" alias="MIA" market="Miami" reference="1610612748"/>
    <source id="e75bdf18-b87a-4651-b1d6-b90a6d923ce5" title="Eastern Conference - Finals - MIA vs BOS" round="3" outcome="win"/>
  </participant>
  <participant name="Nuggets" seed="1" record="4">
    <team id="583ed102-fb46-11e1-82cb-f4ce4684ea4c" name="Nuggets" alias="DEN" market="Denver" reference="1610612743"/>
    <source id="79030c40-c3e0-4c01-9692-af0d7ce97a45" title="Western Conference - Finals - LAL vs DEN" round="3" outcome="win"/>
  </participant>


Characters Added for Player Names

Release DateBenefit
09/16/2024

Each league-specific Basketball API will now display player names containing special characters and diacritical markings. The change aims to ensure an accurate representation of a player’s given name.

Going forward, player names such as Davis Bertans (id: c1bb78ed-4ce7-4e8c-b30c-06f8148d550a) will change to Dāvis Bertāns in each API endpoint.

Ensure that your systems can handle these special characters and diacritics.

Some examples of player names with special characters include:
  • Luka Dončić
  • Dāvis Bertāns
  • Ömer Aşık
  • Nikola Ðurišić.
Return Samples
{
  "id": "d2ee92e9-3e72-45eb-b156-2dc5adc1e6f7",
  "status": "ACT",
  "full_name": "Luka Dončić",
  "first_name": "Luka",
  "last_name": "Dončić",
  "abbr_name": "L.Dončić",
  "height": 79,
  "weight": 230,
  "position": "F-G",
  "primary_position": "PG",
  "jersey_number": "77",
  "experience": "6",
  "birth_place": "Ljubljana,, SVN",
  "birthdate": "1999-02-28",
  "updated": "2024-09-16T12:56:48Z",
  "sr_id": "sr:player:926008",
  "rookie_year": 2018,
  "reference": "1629029",
  "draft": {
    "team_id": "583ecb8f-fb46-11e1-82cb-f4ce4684ea4c",
    "year": 2018,
    "round": "1",
    "pick": "3"
  }
},
<player id="d2ee92e9-3e72-45eb-b156-2dc5adc1e6f7" status="ACT" full_name="Luka Dončić" 
        first_name="Luka" last_name="Dončić" abbr_name="L.Dončić" height="79" weight="230" 
        position="F-G" primary_position="PG" jersey_number="77" experience="6" birth_place="Ljubljana,, SVN" 
        birthdate="1999-02-28" updated="2024-09-16T12:56:48Z" sr_id="sr:player:926008" rookie_year="2018" 
        reference="1629029">


New On-Demand Simulations

Release DateBenefit
09/09/2024We’re happy to announce expanded on-demand support for REST and push Simulations . This offering allows you to replay select games at your convenience.
  • How it works*:
Request a list of available recordings by league.For a normal GET game feed:

  • Register a session for the game feed(s) you are interested in playing back.

  • Start your session on your schedule – no more waiting for simulated games to start at a predefined time.

  • Continually call the endpoint for updates as one would during a live game.
For the Push feeds, simply subscribe to the recording and watch the data come through like it would during a live game.

No API Key is needed to use the simulations.

Please note that Legacy Simulations will be retired in early November.

For more details, see our Simulations page including code snippets for how to set up your calls.


Neutral Site Records

Release DateFeeds AffectedBenefit
09/06/2024StandingsAdded data points into the Standings endpoint for neutral site losses, wins, and win_pct.
Return Samples
<league xmlns="http://feed.elasticstats.com/schema/basketball/nba/standings-v4.0.xsd" id="4353138d-4c22-4396-95d8-5f587d2df25c" name="NBA" alias="NBA">
    <season id="f1162fd1-29c5-4c29-abb4-57b78f16d238" year="2023" type="REG">
        <conference id="7fe7e212-de01-4f8f-a31d-b9f0a95731e3" name="WESTERN CONFERENCE" alias="WESTERN">
            <division id="1d29f94c-9587-494b-a232-feb20a40eb4c" name="Southwest" alias="SOUTHWEST">
                <team id="583ecf50-fb46-11e1-82cb-f4ce4684ea4c" name="Mavericks" market="Dallas" wins="50" losses="32" win_pct="0.61" points_for="117.85" points_against="115.65" point_diff="2.21" sr_id="sr:team:3411" reference="1610612742">
                    <games-behind league="14.0" conference="7.0" division="0.0"/>
                    <streak>
                        <loss length="2"/>
                    </streak>
                    <calc_rank div_rank="1" conf_rank="5"/>
                    <records>
                        <atlantic wins="6" losses="4" win_pct="0.6"/>
                        <below_500 wins="27" losses="8" win_pct="0.771"/>
                        <central wins="3" losses="7" win_pct="0.3"/>
                        <conference wins="31" losses="21" win_pct="0.596"/>
                        <division wins="11" losses="5" win_pct="0.688"/>
                        <equal_rebounds wins="1" losses="1" win_pct="0.5"/>
                        <equal_turnovers wins="3" losses="2" win_pct="0.6"/>
                        <fewer_turnovers wins="30" losses="15" win_pct="0.667"/>
                        <home wins="25" losses="16" win_pct="0.61"/>
                        <last_10 wins="7" losses="3" win_pct="0.7"/>
                        <last_10_home wins="7" losses="3" win_pct="0.7"/>
                        <last_10_road wins="7" losses="3" win_pct="0.7"/>
                        <leads_field_goal_pct wins="37" losses="3" win_pct="0.925"/>
                        <leads_rebounds wins="22" losses="8" win_pct="0.733"/>
                        <neutral wins="0" losses="0" win_pct="0.0"/>
                        <northwest wins="10" losses="9" win_pct="0.526"/>
                        <opponent_fewer_turnovers wins="17" losses="15" win_pct="0.531"/>
                        <opponent_leads_field_goal_pct wins="13" losses="29" win_pct="0.31"/>
                        <opponent_leads_rebounds wins="27" losses="23" win_pct="0.54"/>
                        <opponent_scores_100_or_more wins="41" losses="32" win_pct="0.562"/>
                        <over_500 wins="23" losses="24" win_pct="0.489"/>
                        <overtime wins="1" losses="0" win_pct="1.0"/>
                        <pacific wins="10" losses="7" win_pct="0.588"/>
                        <road wins="25" losses="16" win_pct="0.61"/>
                        <scores_100_or_more wins="50" losses="25" win_pct="0.667"/>
                        <southeast wins="10" losses="0" win_pct="1.0"/>
                        <southwest wins="11" losses="5" win_pct="0.688"/>
                        <ten_points wins="31" losses="21" win_pct="0.596"/>
                        <three_points wins="5" losses="2" win_pct="0.714"/>
                    </records>
                </team>
{
    "league": {
        "id": "4353138d-4c22-4396-95d8-5f587d2df25c",
        "name": "NBA",
        "alias": "NBA"
    },
    "season": {
        "id": "f1162fd1-29c5-4c29-abb4-57b78f16d238",
        "year": 2023,
        "type": "REG"
    },
    "conferences": [
        {
            "id": "7fe7e212-de01-4f8f-a31d-b9f0a95731e3",
            "name": "WESTERN CONFERENCE",
            "alias": "WESTERN",
            "divisions": [
                {
                    "id": "1d29f94c-9587-494b-a232-feb20a40eb4c",
                    "name": "Southwest",
                    "alias": "SOUTHWEST",
                    "teams": [
                        {
                            "id": "583ecf50-fb46-11e1-82cb-f4ce4684ea4c",
                            "name": "Mavericks",
                            "market": "Dallas",
                            "wins": 50,
                            "losses": 32,
                            "win_pct": 0.61,
                            "points_for": 117.85,
                            "points_against": 115.65,
                            "point_diff": 2.21,
                            "sr_id": "sr:team:3411",
                            "reference": "1610612742",
                            "games_behind": {
                                "league": 14.0,
                                "conference": 7.0,
                                "division": 0.0
                            },
                            "streak": {
                                "kind": "loss",
                                "length": 2
                            },
                            "calc_rank": {
                                "div_rank": 1,
                                "conf_rank": 5
                            },
                            "records": [
                                {
                                    "record_type": "atlantic",
                                    "wins": 6,
                                    "losses": 4,
                                    "win_pct": 0.6
                                },
                                {
                                    "record_type": "below_500",
                                    "wins": 27,
                                    "losses": 8,
                                    "win_pct": 0.771
                                },
                                {
                                    "record_type": "central",
                                    "wins": 3,
                                    "losses": 7,
                                    "win_pct": 0.3
                                },
                                {
                                    "record_type": "conference",
                                    "wins": 31,
                                    "losses": 21,
                                    "win_pct": 0.596
                                },
                                {
                                    "record_type": "division",
                                    "wins": 11,
                                    "losses": 5,
                                    "win_pct": 0.688
                                },
                                {
                                    "record_type": "equal_rebounds",
                                    "wins": 1,
                                    "losses": 1,
                                    "win_pct": 0.5
                                },
                                {
                                    "record_type": "equal_turnovers",
                                    "wins": 3,
                                    "losses": 2,
                                    "win_pct": 0.6
                                },
                                {
                                    "record_type": "fewer_turnovers",
                                    "wins": 30,
                                    "losses": 15,
                                    "win_pct": 0.667
                                },
                                {
                                    "record_type": "home",
                                    "wins": 25,
                                    "losses": 16,
                                    "win_pct": 0.61
                                },
                                {
                                    "record_type": "last_10",
                                    "wins": 7,
                                    "losses": 3,
                                    "win_pct": 0.7
                                },
                                {
                                    "record_type": "last_10_home",
                                    "wins": 7,
                                    "losses": 3,
                                    "win_pct": 0.7
                                },
                                {
                                    "record_type": "last_10_road",
                                    "wins": 7,
                                    "losses": 3,
                                    "win_pct": 0.7
                                },
                                {
                                    "record_type": "leads_field_goal_pct",
                                    "wins": 37,
                                    "losses": 3,
                                    "win_pct": 0.925
                                },
                                {
                                    "record_type": "leads_rebounds",
                                    "wins": 22,
                                    "losses": 8,
                                    "win_pct": 0.733
                                },
                                {
                                    "record_type": "neutral",
                                    "wins": 0,
                                    "losses": 0,
                                    "win_pct": 0.0
                                },
                                {
                                    "record_type": "northwest",
                                    "wins": 10,
                                    "losses": 9,
                                    "win_pct": 0.526
                                },
                                {
                                    "record_type": "opponent_fewer_turnovers",
                                    "wins": 17,
                                    "losses": 15,
                                    "win_pct": 0.531
                                },
                                {
                                    "record_type": "opponent_leads_field_goal_pct",
                                    "wins": 13,
                                    "losses": 29,
                                    "win_pct": 0.31
                                },
                                {
                                    "record_type": "opponent_leads_rebounds",
                                    "wins": 27,
                                    "losses": 23,
                                    "win_pct": 0.54
                                },
                                {
                                    "record_type": "opponent_scores_100_or_more",
                                    "wins": 41,
                                    "losses": 32,
                                    "win_pct": 0.562
                                },
                                {
                                    "record_type": "overtime",
                                    "wins": 1,
                                    "losses": 0,
                                    "win_pct": 1.0
                                },
                                {
                                    "record_type": "over_500",
                                    "wins": 23,
                                    "losses": 24,
                                    "win_pct": 0.489
                                },
                                {
                                    "record_type": "pacific",
                                    "wins": 10,
                                    "losses": 7,
                                    "win_pct": 0.588
                                },
                                {
                                    "record_type": "road",
                                    "wins": 25,
                                    "losses": 16,
                                    "win_pct": 0.61
                                },
                                {
                                    "record_type": "scores_100_or_more",
                                    "wins": 50,
                                    "losses": 25,
                                    "win_pct": 0.667
                                },
                                {
                                    "record_type": "southeast",
                                    "wins": 10,
                                    "losses": 0,
                                    "win_pct": 1.0
                                },
                                {
                                    "record_type": "southwest",
                                    "wins": 11,
                                    "losses": 5,
                                    "win_pct": 0.688
                                },
                                {
                                    "record_type": "ten_points",
                                    "wins": 31,
                                    "losses": 21,
                                    "win_pct": 0.596
                                },
                                {
                                    "record_type": "three_points",
                                    "wins": 5,
                                    "losses": 2,
                                    "win_pct": 0.714
                                }
                            ]
                        },


Broadcast Info by Game

Release DateFeeds AffectedBenefit
08/26/2024

Game Boxscore

Game Summary

Play-by-Play

We've added broadcast data for select Game endpoints. With this update, you will no longer have to parse the Schedule feeds for game broadcast info.

Each game feed will now include the following broadcast info (when applicable): Channel (ex. 206), Locale (ex. Home, Away, National, International), Network (ex. ESPN+, and Type (ex. TV, Internet)

See below for sample data.

Return Samples
<broadcasts>
  <broadcast network="ESPN" type="TV" locale="National" channel="206"/>
  <broadcast network="NBCS-BOS" type="TV" locale="Away" channel="630"/>
</broadcasts>
{
  "id": "bc7f6c81-d31d-4d00-8b06-f7852de50472",
  "status": "closed",
  "coverage": "full",
  "scheduled": "2023-11-11T18:00:00+00:00",
  "conference_game": false,
  "attendance": 847,
  "clock": "00:00",
  "half": 2,
  "track_on_court": false,
  "entry_mode": "LDE",
  "clock_decimal": "00:00",
  "broadcasts": [
    {
      "type": "Internet",
      "network": "ESPN+"
    },
    {
     "network": "TNT",
     "type": "TV",
     "locale": "National",
     "channel": "245"
    }
  ],


Play-in Berth Clinch Status

Release DateFeeds AffectedBenefit
08/22/2024Rankings

We've added a new clinched play_in_berth status to the Rankings endpoint.

This status denotes a team has secured at least the play-in game.

Return Samples
<conference id="3960cfac-7361-4b30-bc25-8d393de6f62f" name="EASTERN CONFERENCE" alias="EASTERN">
  <division id="582d6502-9a93-4a8d-8785-69374d732875" name="Atlantic" alias="ATLANTIC">
    <team id="583eccfa-fb46-11e1-82cb-f4ce4684ea4c" name="Celtics" market="Boston" sr_id="sr:team:3422" reference="1610612738">
      <rank conference="1" division="1" clinched="conference"/>
    </team>
    <team id="583ec70e-fb46-11e1-82cb-f4ce4684ea4c" name="Knicks" market="New York" sr_id="sr:team:3421" reference="1610612752">
      <rank conference="2" division="2" clinched="playoff_berth"/>
    </team>
    <team id="583ec87d-fb46-11e1-82cb-f4ce4684ea4c" name="76ers" market="Philadelphia" sr_id="sr:team:3420" reference="1610612755">
      <rank conference="7" division="3" clinched="play_in_berth"/>
    </team>
    <team id="583ec9d6-fb46-11e1-82cb-f4ce4684ea4c" name="Nets" market="Brooklyn" sr_id="sr:team:3436" reference="1610612751">
      <rank conference="11" division="4" clinched="eliminated"/>
    </team>
    <team id="583ecda6-fb46-11e1-82cb-f4ce4684ea4c" name="Raptors" market="Toronto" sr_id="sr:team:3433" reference="1610612761">
      <rank conference="12" division="5" clinched="eliminated"/>
    </team>


📘

Earlier updates

Older updates are listed in the Change Log Archive.